This patch appears to date from 2015, at 2021 I see there is only devel/goffice not devel/goffice010
So I changed paths below

To:	gnome@@@FreeBSD.org
cc: "Julian H. Stacey" <jhs@@@berklix.com>
Subject: current/ports/devel/goffice010 errors + a patch
From:		"Julian H. Stacey" <jhs@@@berklix.com>
Organization: http://berklix.com BSD Linux Unix Consultants, Munich Germany
Fcc:		sent
User-agent:	EXMH on FreeBSD http://www.berklix.com/free/
X-URL:		http://www.berklix.com/~jhs/cv/

Hi, 
Here's errors and a patch for current/ports/devel/goffice010
I have not sent it via send-pr as it needs more thought.

Error 1:

===>  Building for goffice010-0.10.24
gmake[1]: Entering directory '/data/release/11.0-CURRENT/usr/ports/devel/goffice010/work/goffice-0.10.24'
Making all in goffice
gmake[2]: Entering directory '/data/release/11.0-CURRENT/usr/ports/devel/goffice010/work/goffice-0.10.24/goffice'
if ! [ -x utils ]; then mkdir utils; fi && \
glib-genmarshal --prefix=go_ --header utils/go-marshalers.list >utils/go-marshalers.h
creating goffice-paths.h
cd . && perl /data/release/11.0-CURRENT/usr/ports/devel/goffice010/work/goffice-0.10.24/tools/embedder \
        --id-prefix=go: \
        --static \
        --register-function=go_register_ui_files \
        --register-file-function=go_rsm_register_file \
        COMPRESS graph/gog-3d-box-prefs.ui graph/gog-axis-prefs.ui graph/gog-axis-color-map-prefs.ui graph/gog-color-scale-prefs.ui graph/gog-equation-prefs.ui graph/gog-error-bar-prefs.ui graph/gog-graph-prefs.ui graph/gog-guru-type-selector.ui graph/gog-guru.ui graph/gog-object-prefs.ui graph/gog-plot-prefs.ui graph/gog-reg-curve-prefs.ui graph/gog-reg-eqn-prefs.ui graph/gog-series-labels-prefs.ui graph/gog-series-prefs.ui graph/gog-theme-editor.ui graph/new-theme-prefs.ui gtk/go-3d-rotation-sel.ui gtk/go-arrow-sel.ui gtk/go-font-sel.ui gtk/go-format-sel.ui gtk/go-image-save-dialog-extra.ui gtk/go-image-sel.ui gtk/go-rotation-sel.ui utils/go-style-prefs.ui \
        NOCOMPRESS utils/svg-patterns.xml utils/unknown_image.png graph/bar-none.png graph/bar-vplus.png graph/bar-vminus.png graph/bar-vboth.png graph/bar-hplus.png graph/bar-hminus.png graph/bar-hboth.png \
        >/data/release/11.0-CURRENT/usr/ports/devel/goffice010/work/goffice-0.10.24/goffice/embedded-stuff.c
gmake  all-am
gmake[3]: Entering directory '/data/release/11.0-CURRENT/usr/ports/devel/goffice010/work/goffice-0.10.24/goffice'
  CC       goffice.lo
In file included from goffice.c:23:
../goffice/goffice.h:30:10: fatal error: 'gtk/gtk.h' file not found

-----

Error 2:

  CXX      pd_DocumentRDF.lo
pd_DocumentRDF.cpp:1089:26: warning: 'const' qualifier on reference type
      'self_reference' (aka 'PD_RDFModelFromStartEndPos::StatementIterator &')
      has no effect [-Wignored-qualifiers]
        bool operator==( const self_reference other )
                         ^~~~~~
pd_DocumentRDF.cpp:1102:26: warning: 'const' qualifier on reference type
      'self_reference' (aka 'PD_RDFModelFromStartEndPos::StatementIterator &')
      has no effect [-Wignored-qualifiers]
        bool operator!=( const self_reference other )
                         ^~~~~~
pd_DocumentRDF.cpp:2058:12: fatal error: 'libical/ical.h' file not found
  #include <libical/ical.h>

------

Manual fix:

  cd /usr/ports/x11-toolkits/gtk30; make clean rmconfig; make package-recursive
  cd /usr/ports/devel/libical;      make clean rmconfig; make package-recursive

Question:
  Makefile contains "USE_GNOME=gtk30" Why did I need to manually
  install the 2 ports above ? Should they have been comletely
  installed by "USE_GNOME=gtk30" ? Did I have a broken half install
  ?  Or is there something really missing from the Makefiles ?
  (Some other ports had installed gtk20 as a dependency, so maybe
  that confused something here).

(I fixed goffice010 as it is a dependency of editors/abiword/ )

I am not on gnome@@@FreeBSD.org so please keep cc: <jhs@@@berklix.com>

Patch:
-------
http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/ports/gen/devel/goffice010/Makefile.REL=11.0-CURRENT.diff

*** 2021-03-10-CURRENT/ports/devel/goffice/Makefile	Fri Nov  6 00:06:13 2015
--- new-generic/ports/devel/goffice/Makefile	Fri Nov  6 00:09:57 2015
# *** 11.0-CURRENT-2015-11-05/ports/devel/goffice010/Makefile	Fri Nov  6 00:06:13 2015
# --- new-generic/ports/devel/goffice010/Makefile	Fri Nov  6 00:09:57 2015
***************
*** 25,30 ****
--- 25,33 ----
  		--enable-compile-warnings=no \
  		--enable-introspection
  
+ BUILD_DEPENDS+=${LOCALBASE}/include/gtk-3.0/gtk/gtk.h:${PORTSDIR}/x11-toolkits/gtk30
+ BUILD_DEPENDS+=${LOCALBASE}/include/include/ical.h:${PORTSDIR}/devel/libical
+ 
  PLIST_SUB=	VERSION=${PORTVERSION} SHORT_VER=${PORTVERSION:R}
  
  post-install:
-------

Cheers,
Julian
-- 
Julian H. Stacey,  BSD Linux Unix Sys. Eng. Consultant Munich http://berklix.com
 Reply After previous text to preserve context, as in a play script.
 Indent previous text with > 		Insert new lines before 80 chars.
 Use plain text, Not quoted-printable, Not HTML, Not base64, Not MS.doc.
